Method: approvals.comment

Comments on an Approval. This sends a notification to the initiator and reviewers with a message that is also added to the Approval activity log.

HTTP request

POST https://www.googleapis.com/drive/v3/files/{fileId}/approvals/{approvalId}:comment

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
fileId

string

Required. The ID of the file the Approval is on.

approvalId

string

Required. The ID of the Approval to comment on.

Request body

The request body contains data with the following structure:

JSON representation
{
  "message": string
}
Fields
message

string

Required. A message to comment on the Approval. This message will be included in notifications for the action and in the Approval activity log.

Response body

If successful, the response body contains an instance of Approval.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/drive
  • https://www.googleapis.com/auth/drive.file
  • https://www.googleapis.com/auth/drive.metadata

Some scopes are restricted and require a security assessment for your app to use them. For more information, see the Authorization guide.